using System;
using System.Reflection;

internal sealed class Delegate836 : MulticastDelegate
{
	public extern bool Invoke(FieldInfo fieldInfo_0, FieldInfo fieldInfo_1);

	public static bool smethod_0(FieldInfo fieldInfo_0, FieldInfo fieldInfo_1, Delegate836 delegate836_0)
	{
		return delegate836_0(fieldInfo_0, fieldInfo_1);
	}

	public extern Delegate836(object object_0, IntPtr intptr_0);

	static Delegate836()
	{
		Class10.smethod_13(typeof(Delegate836).TypeHandle);
	}

	internal static Delegate836 upZzinoWmZ;
}
